<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use App\Models\BorrowTransaction;

class PerpanjanganMenungguApproval extends Mailable
{
    use Queueable, SerializesModels;

    public $transaction;

    public function __construct(BorrowTransaction $transaction)
    {
        $this->transaction = $transaction;
    }

    public function build()
    {
        return $this->subject('Permintaan Perpanjangan Peminjaman Buku')
                    ->view('emails.perpanjangan_menunggu');
    }
}

